valid kml 2.1 file but qgis does not open the file

2017-06-12 09:20 AM - Birke Heeren

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.18.9 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 24600

Description

This is the valid kml file qgis does not open:

<kml:kml

xmlns:xs="http://www.w3.org/2001/XMLSchema" 

xmlns:kml="http://earth.google.com/kml/2.1">

<kml:Document id="featureCollection">

<kml:Placemark id="guuid.27bed6fb-02ba-4536-8710-914fac29e236">

<kml:name>"Grünliches etwas"</kml:name>

<kml:description>DE-BB-Onlineeingabe null 2017-06-07</kml:description>

<kml:Point>

<kml:coordinates>10.000000001438014,52.99999999818237</kml:coordinates>

</kml:Point>

</kml:Placemark>

<kml:Placemark id="guuid.a159870f-b276-48b9-9ee0-b8866eb99737">

<kml:name>Calamagrostis canescens agg.</kml:name>

<kml:description>DE-BB-Onlineeingabe null 2017-05-31</kml:description>

<kml:Point>

<kml:coordinates>12.9254,52.2143</kml:coordinates>

</kml:Point>

</kml:Placemark>

</kml:Document>

</kml:kml>

History

#1 - 2017-06-12 10:51 AM - Giovanni Manghi

- Category changed from Processing/QGIS to Vectors

- Resolution set to invalid

- Assignee deleted (Victor Olaya)

- Status changed from Open to Closed

ogrinfo says that your KML is not valid.

giovanni@sibirica:~/Desktop$ ogrinfo test.kml 

ERROR 4: ERROR parsing kml test.kml :Invalid root element

ERROR 4: ERROR parsing kml test.kml :Invalid root element

FAILURE:
#2 - 2017-07-31 01:28 PM - Birke Heeren

- Status changed from Closed to Reopened

The problem with the namespace is a GDAL problem and was fixed there https://trac.osgeo.org/gdal/ticket/6981

#3 - 2017-07-31 01:36 PM - Giovanni Manghi

- Resolution changed from invalid to up/downstream

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Reopened to Closed

Birke Heeren wrote:

The problem with the namespace is a GDAL problem and was fixed there https://trac.osgeo.org/gdal/ticket/6981
